User

Manage user-related functionalities, including social login, password management, account actions, authentication, OTP handling, profile updates, customer management, session management, platform configuration, user group management, and user attribute definition.

Customer

Manage customer interactions within the application, including retrieving customer data, getting specific customers via various identifiers such as mobile numbers, emails, user IDs, or usernames, creating new customer with either email or mobile numbers, as configured within the platform, controlling access by blocking or unblocking user with reason provided, archiving and restoring customer data, and updating customer information.

Operations
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/list
# Get a List of Users
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/search
# Search an Existing Users
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers
# Create User
PUT
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/activation
# Block/Unblock Users
PUT
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/undelete
# Restore Deleted User
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/{user_id}/timeline
# Get Deleted User Timeline
PUT
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/{user_id}
# Update User Details
PUT
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/archive
# Archive User
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/users/jobs/import
# Bulk import storefront customers using CSV and XLSX files.
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/users/jobs/import
# Get Bulk User's Import Lists for a specific Application.
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/users/jobs/export
# Bulk export storefront customers using CSV and XLSX files.
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/users/jobs/export
# Get Bulk User's Export Lists for a specific Application.
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/users/jobs/{job_id}
# Retrieve Job Details by Job ID for a Specific Application, Including Both Import and Export Jobs.
GET

Get a List of Users

Retrieve details of users registered in the sales channel
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
qquery
string
The search query. Mobile number or email ID of a customer.
page_sizequery
integer
The number of items to retrieve in each page. Default value is 10.
Default Value : 10
page_noquery
integer
The page number to navigate through the given set of results. Default value is 1.
Default Value : 1
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/list
Loading...
Response
200
400
Success. Refer `CustomerListResponseSchema` for more details.
Hide
items
array of object (UserSearchSchema)
Show
page
object (PaginationSchema)
Show
Response
Loading...
GET

Search an Existing Users

Search and filter users details registered in the sales channel
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
qquery
string
The search query. Mobile number or email ID of a customer.
queryquery
array of string
The search queries. Mobile numbers or email IDs of customers.
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/search
Loading...
Response
200
Success. Returns first name, last name, emails, phone number and gender of the user. Refer `UserSearchResponseSchema` for more details.
Hide
users
array of object (UserSearchSchema)
Show
Examples
Parameters
company_id:
"559"
application_id:
"000000000000000000000001"
q:
"test@example.com"
query:
"vinit.mav12@example.com"
Response
Loading...
POST

Create User

Register and add a new user to the sales channel.
Parameters
company_idpath
string
Required
Company ID
application_idpath
string
Required
Application ID
verifiedquery
boolean
Controls whether newly created emails and phone numbers are marked as verified. Pass verified=false to keep them unverified. When omitted, they are auto-marked verified.
Request body
phone_number
string
email
string
first_name
string
last_name
string
gender
string
username
string
meta
object
external_id
string
rr_id
string
dob
string
User's date of birth in ISO date format("1990-01-01T00:00:00.000Z").
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers
Loading...
Response
200
400
User create
Hide
user
object (UserSchema)
Show
Response
Loading...
PUT

Block/Unblock Users

Manage user access by blocking or unblocking their accounts, restricting login for blocked accounts and allowing login for unblocked accounts.
Parameters
company_idpath
string
Required
Company ID
application_idpath
string
Required
Application ID
Request body
status
boolean
user_id
array of string
reason
string
PUT
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/activation
Loading...
Response
200
400
Success
Hide
success
boolean
Response
Loading...
PUT

Restore Deleted User

Restore a previously deleted user account.
Parameters
company_idpath
string
Required
Company ID
application_idpath
string
Required
Application ID
Request body
user_id
string
reason
string
reason_id
string
PUT
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/undelete
Loading...
Response
200
400
Success
Hide
success
boolean
Response
Loading...
GET

Get Deleted User Timeline

Fetches the timeline for the user who has made a data erase request. The timeline will show when the request was raised and when the request will be completed. It will also show if request has been cancelled before completion.
Parameters
company_idpath
string
Required
Company ID
application_idpath
string
Required
Application ID
user_idpath
string
Required
User ID
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/{user_id}/timeline
Loading...
Response
200
400
Success. Returns the user timeline along with the delete on date.
Hide
Schema representing the response received while fetching user timeline
delete_on
string
| date-time
Denotes the date on which the user will be deleted
timeline
array of object (UserTimeline)
List of user timeline events
Show
Response
Loading...
PUT

Update User Details

Modify and update user profile information.
Parameters
company_idpath
string
Required
Company ID
application_idpath
string
Required
Application ID
user_idpath
string
Required
User ID
Request body
first_name
string
last_name
string
dob
string
User's date of birth in ISO date format("1990-01-01T00:00:00.000Z").
gender
string
external_id
string
rr_id
string
meta
object
phone_numbers
array of object (UserPhoneNumbers)
Show
emails
array of object (UserEmails)
Show
PUT
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/{user_id}
Loading...
Response
200
400
User update
Hide
user
object (UserSchema)
Show
Response
Loading...
PUT

Archive User

Delete user from sales channel, allowing re-registration with the same mobile/email for a new user account.
Parameters
company_idpath
string
Required
Company ID
application_idpath
string
Required
Application ID
Request body
user_id
string
PUT
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/archive
Loading...
Response
200
400
Success
Hide
success
boolean
Response
Loading...
POST

Bulk import storefront customers using CSV and XLSX files.

The API allows bulk import of storefront customers using CSV or XLSX files.
Parameters
application_idpath
string
Required
Application ID.
company_idpath
string
Required
Company ID.
Request body
absolute_url
string
| uri
Required
A valid URL linking to the file containing user data to be imported.
file_format
string
Required
The format of the file containing the user's data. Supported formats are CSV and XLSX.
Enum
relative_url
string
Required
A valid relative path to the file within the storage system. This path should not include the base URL or domain and must conform to the storage structure
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/users/jobs/import
Loading...
Response
200
400
Successfully Bulk Import Users Creation
Hide
Schema representing a bulk action, including metadata, progress, and file links.
_id
string
The Job ID associated with an Import or Export Job
file_name
string
The name of the file
file_format
string
The format of the uploaded file (e.g., CSV, XLSX).
Enum
action_type
string
The type of bulk action being performed (e.g., import, export).
Enum
created_by
object (CreatedBySchema)
Show
count
object (BulkActionCountSchema)
Show
status
string
The current status of the bulk action.
Default Value : inprogress
Enum
links
object (BulkActionLinkSchema)
Show
application_id
string
| objectid
The unique identifier of the associated application.
company_id
string
The unique identifier of the company associated with the bulk action.
created_at
string
| date-time
The timestamp when the bulk action was created.
updated_at
string
| date-time
The timestamp when the bulk action was last updated.
Response
Loading...
GET

Get Bulk User's Import Lists for a specific Application.

This API allows fetching the list of bulk user imports for a specific application and company. It supports pagination and filtering based on various parameters.
Parameters
application_idpath
string
Required
Application ID.
company_idpath
string
Required
Company ID.
page_noquery
string
page number for pagination result
page_sizequery
string
page size for pagination result
searchquery
string
The search queries based on job name.
start_datequery
string
| date-time
Start date
end_datequery
string
| date-time
End date
statusquery
string
Status of the Import Documents
Enum
file_formatquery
string
Filter data based on file format eg csv or xlsx
Enum
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/users/jobs/import
Loading...
Response
200
Successfully Bulk Import Users List
Hide
items
array of object (BulkActionModel)
Array of Bulk Action Documents
Show
page
object (PaginationSchema)
Show
Examples
Parameters
application_id:
"000000000000000000000001"
company_id:
"1"
page_no:
"1"
page_size:
"10"
search:
"test"
start_date:
"2025-01-08T04:45:03.951Z"
end_date:
"2025-01-08T04:45:03.951Z"
status:
"complete"
file_format:
"csv"
Response
Loading...
POST

Bulk export storefront customers using CSV and XLSX files.

This API allows bulk export of storefront users by requesting files in CSV or XLSX format.
Parameters
application_idpath
string
Required
Application ID.
company_idpath
string
Required
Company ID.
Request body
file_format
string
Required
The format of the file in which you want to export data. Supported formats are CSV and XLSX.
Enum
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/users/jobs/export
Loading...
Response
200
400
Successfully Bulk Export Users Response
Hide
Schema representing a bulk action, including metadata, progress, and file links.
_id
string
The Job ID associated with an Import or Export Job
file_name
string
The name of the file
file_format
string
The format of the uploaded file (e.g., CSV, XLSX).
Enum
action_type
string
The type of bulk action being performed (e.g., import, export).
Enum
created_by
object (CreatedBySchema)
Show
count
object (BulkActionCountSchema)
Show
status
string
The current status of the bulk action.
Default Value : inprogress
Enum
links
object (BulkActionLinkSchema)
Show
application_id
string
| objectid
The unique identifier of the associated application.
company_id
string
The unique identifier of the company associated with the bulk action.
created_at
string
| date-time
The timestamp when the bulk action was created.
updated_at
string
| date-time
The timestamp when the bulk action was last updated.
Response
Loading...
GET

Get Bulk User's Export Lists for a specific Application.

This API allows fetching the list of bulk user exports for a specific application and company. It supports pagination and filtering based on various parameters.
Parameters
application_idpath
string
Required
Application ID.
company_idpath
string
Required
Company ID.
page_noquery
string
page number for pagination result
page_sizequery
string
page size for pagination result
file_formatquery
string
Filter data based on file format eg csv or xlsx
Enum
searchquery
string
The search queries based on job name.
start_datequery
string
| date-time
Start date
end_datequery
string
| date-time
End date
statusquery
string
Status of the Import Documents
Enum
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/users/jobs/export
Loading...
Response
200
Successfully Bulk Import Users Creation
Hide
items
array of object (BulkActionModel)
Array of Bulk Action Documents
Show
page
object (PaginationSchema)
Show
Examples
Parameters
application_id:
"000000000000000000000001"
company_id:
"1"
page_no:
"1"
page_size:
"10"
file_format:
"csv"
search:
"test"
start_date:
"2025-01-08T04:45:03.951Z"
end_date:
"2025-01-08T04:45:03.951Z"
status:
"inprogress"
Response
Loading...
GET

Retrieve Job Details by Job ID for a Specific Application, Including Both Import and Export Jobs.

This endpoint retrieves the details of a specific user's import and export related jobs associated with a given `job_id`, `application_id`, and `company_id`.
Parameters
application_idpath
string
Required
The unique identifier of the application. This is required to identify the application context for the job.
company_idpath
string
Required
The unique identifier of the company. This helps in scoping the request to the specific company.
job_idpath
string
Required
The unique identifier of the job. This is used to fetch the details of the specific job.
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/users/jobs/{job_id}
Loading...
Response
200
400
Job details retrieved successfully.
Hide
Schema representing a bulk action, including metadata, progress, and file links.
_id
string
The Job ID associated with an Import or Export Job
file_name
string
The name of the file
file_format
string
The format of the uploaded file (e.g., CSV, XLSX).
Enum
action_type
string
The type of bulk action being performed (e.g., import, export).
Enum
created_by
object (CreatedBySchema)
Show
count
object (BulkActionCountSchema)
Show
status
string
The current status of the bulk action.
Default Value : inprogress
Enum
links
object (BulkActionLinkSchema)
Show
application_id
string
| objectid
The unique identifier of the associated application.
company_id
string
The unique identifier of the company associated with the bulk action.
created_at
string
| date-time
The timestamp when the bulk action was created.
updated_at
string
| date-time
The timestamp when the bulk action was last updated.
Response
Loading...

Customer Attributes

Customer attributes enable the tagging of custom values against any customer. This allows the tagging of customer behavior with unique values, which can later be used to categorize customers into specific groups. Before adding any values to customers, definitions for customer attributes must be present. Attributes support multiple data types for defining new attributes for customers.

Operations
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/definition
# Create a User Attribute Definition
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/definition
# Get User Attribute Definitions
PUT
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/definition/{attribute_def_id}
# Update User Attribute Definition
DEL
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/definition/{attribute_def_id}
# Delete User Attribute Definition
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/definition/{attribute_def_id}
# Get User Attribute Definition
PUT
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/definition/{attribute_def_id}/user/{user_id}
# Update Or Create User Attribute
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/definition/{attribute_def_id}/user/{user_id}
# Get User Attribute
DEL
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/definition/{attribute_def_id}/user/{user_id}
# Delete User Attribute
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/user/{user_id}
# Get All Customer Attributes
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/user/{user_id}
# Create Or Update User Attribute
DEL
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/user/{user_id}
# Delete User Attribute Values in Bulk
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/attribute/{attribute_id}
# Get User Attribute
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/users
# Filter Users by Attribute Conditions
POST

Create a User Attribute Definition

Create a new User Attribute Definition
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
Request body
name
string
slug
string
description
string
type
string
The attribute type.
Enum
icon
string
Optional icon representation for this attribute. Defaults to an empty string.
ordering_channels
array of string
Ordering Channels where this attribute should be visible.
Enum
masking
object (AttributeMaskingProperties)
Show
registration
object (AttributeRegistrationProperties)
Show
is_multi_value
boolean
Indicates if this attribute can accept multiple values.
customer_editable
boolean
encrypted
boolean
pinned
boolean
pin_order
number
default_value
string
validations
array of object
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/definition
Loading...
Response
200
400
Success. returns created User Attribute Definition. `UserAttributeDefinitionDetails` for more details.
Hide
_id
string
The unique identifier for the attribute definition.
name
string
The attribute name.
slug
string
The attribute key.
description
string
The description of the attribute.
application_id
string
The application ID.
type
string
The attribute type.
Enum
icon
string
Optional icon representation for this attribute. Defaults to an empty string.
ordering_channels
array of string
Ordering Channels where this attribute should be visible.
Enum
masking
object (AttributeMaskingProperties)
Show
registration
object (AttributeRegistrationProperties)
Show
is_multi_value
boolean
Indicates if this attribute can accept multiple values.
customer_editable
boolean
Whether the attribute is customer-editable.
encrypted
boolean
Whether the attribute is encrypted.
pinned
boolean
Whether the attribute is pinned.
pin_order
integer
The order in which the attribute is pinned.
validations
array of object (UserAttributeDefinitionValidation)
Show
is_locked
boolean
Whether the attribute is locked.
created_by
string
The user who created the attribute.
updated_by
string
The user who last updated the attribute.
created_at
string
| date-time
The creation date of the attribute definition.
modified_at
string
| date-time
The last modification date of the attribute definition.
Examples
Parameters
company_id:
"value"
application_id:
"value"
body:
body
Response
Loading...
GET

Get User Attribute Definitions

Retrieve user attribute definitions.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
excluding_idsquery
string
Exclude attribute definitions by Ids
slugquery
string
Filter by attribute slug.
typequery
string
Filter by attribute type.
customer_editablequery
boolean
Filter by customer_editable status.
encryptedquery
boolean
Filter by encrypted status.
pinnedquery
boolean
Filter by pinned status.
pin_orderquery
integer
Filter by pin order.
is_lockedquery
boolean
Filter by locked status.
namequery
string
Filter by attribute name using a case-insensitive regex.
page_sizequery
integer
The number of items to retrieve in each page. Default value is 10.
Default Value : 10
page_noquery
integer
The page number to navigate through the given set of results. Default value is 1.
Default Value : 1
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/definition
Loading...
Response
200
400
Successful response
Hide
List of user attribute definitions with pagination details.
items
array of object (UserAttributeDefinition)
Array of user attribute definition objects.
Show
page
object (PaginationSchema)
Show
Examples
Parameters
company_id:
"value"
application_id:
"value"
excluding_ids:
"value"
slug:
"value"
type:
"value"
customer_editable:
false
encrypted:
false
pinned:
false
pin_order:
1
is_locked:
false
name:
"value"
page_size:
1
page_no:
1
Response
Loading...
PUT

Update User Attribute Definition

Update an existing user attribute definition.
Parameters
attribute_def_idpath
string
Required
The unique identifier of the attribute definition to update.
application_idpath
string
Required
Application ID.
company_idpath
string
Required
Company ID.
Request body
name
string
slug
string
description
string
type
string
The attribute type.
Enum
icon
string
Optional icon representation for this attribute. Defaults to an empty string.
ordering_channels
array of string
Ordering Channels where this attribute should be visible.
Enum
masking
object (AttributeMaskingProperties)
Show
registration
object (AttributeRegistrationProperties)
Show
is_multi_value
boolean
Indicates if this attribute can accept multiple values.
customer_editable
boolean
encrypted
boolean
pinned
boolean
pin_order
number
default_value
string
validations
array of object
PUT
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/definition/{attribute_def_id}
Loading...
Response
200
400
Successful update
Hide
_id
string
The unique identifier for the attribute definition.
name
string
The attribute name.
slug
string
The attribute key.
description
string
The description of the attribute.
application_id
string
The application ID.
type
string
The attribute type.
Enum
icon
string
Optional icon representation for this attribute. Defaults to an empty string.
ordering_channels
array of string
Ordering Channels where this attribute should be visible.
Enum
masking
object (AttributeMaskingProperties)
Show
registration
object (AttributeRegistrationProperties)
Show
is_multi_value
boolean
Indicates if this attribute can accept multiple values.
customer_editable
boolean
Whether the attribute is customer-editable.
encrypted
boolean
Whether the attribute is encrypted.
pinned
boolean
Whether the attribute is pinned.
pin_order
integer
The order in which the attribute is pinned.
validations
array of object
is_locked
boolean
Whether the attribute is locked.
created_at
string
| date-time
The creation date of the attribute.
modified_at
string
| date-time
The modification date of the attribute.
__v
integer
The version number of the attribute.
options
array of string
List of possible values for the attribute
Examples
Parameters
attribute_def_id:
"value"
application_id:
"value"
company_id:
"value"
body:
body
Response
Loading...
DEL

Delete User Attribute Definition

Delete a user attribute definition by its unique identifier.
Parameters
attribute_def_idpath
string
Required
The unique identifier of the attribute definition to delete.
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
DEL
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/definition/{attribute_def_id}
Loading...
Response
200
400
Successful Deletion
Hide
success
string
Examples
Parameters
attribute_def_id:
"value"
company_id:
"value"
application_id:
"value"
Response
Loading...
GET

Get User Attribute Definition

Get a user attribute definition by its unique identifier.
Parameters
attribute_def_idpath
string
Required
The unique identifier of the attribute definition to retrieve.
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/definition/{attribute_def_id}
Loading...
Response
200
Successful Retrieval
Hide
_id
string
The unique identifier for the attribute definition.
name
string
The attribute name.
slug
string
The attribute key.
description
string
The description of the attribute.
application_id
string
The application ID.
type
string
The attribute type.
Enum
icon
string
Optional icon representation for this attribute. Defaults to an empty string.
ordering_channels
array of string
Ordering Channels where this attribute should be visible.
Enum
masking
object (AttributeMaskingProperties)
Show
registration
object (AttributeRegistrationProperties)
Show
is_multi_value
boolean
Indicates if this attribute can accept multiple values.
customer_editable
boolean
Whether the attribute is customer-editable.
encrypted
boolean
Whether the attribute is encrypted.
pinned
boolean
Whether the attribute is pinned.
pin_order
integer
The order in which the attribute is pinned.
validations
array of object
is_locked
boolean
Whether the attribute is locked.
created_at
string
| date-time
The creation date of the attribute.
modified_at
string
| date-time
The modification date of the attribute.
__v
integer
The version number of the attribute.
options
array of string
List of possible values for the attribute
Examples
Parameters
attribute_def_id:
"value"
company_id:
"value"
application_id:
"value"
Response
Loading...
PUT

Update Or Create User Attribute

Update Or Create User Attribute
Parameters
attribute_def_idpath
string
Required
The unique identifier of the attribute definition to update.
user_idpath
string
Required
The unique identifier of the user to update.
application_idpath
string
Required
Application ID.
company_idpath
string
Required
Company ID.
Request body
customer_overridden
boolean
attribute
object
PUT
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/definition/{attribute_def_id}/user/{user_id}
Loading...
Response
200
400
Successful update
Hide
_id
string
The unique identifier for the attribute definition.
name
string
The name of user attribute definition.
user_id
string
The unique identifier for the user.
application_id
string
The application ID.
user_attribute_definition_id
string
The unique id of the attribute definition.
created_at
string
| date-time
The time when attribute value is created for a user in ISO format.
updated_at
string
| date-time
The time when attribute value is updated for a user in ISO format.
type
string
The attribute type.
Enum
customer_overridden
boolean
Whether the attribute is customer-editable.
attribute
object
updated_by
string
Examples
Parameters
attribute_def_id:
"value"
user_id:
"value"
application_id:
"value"
company_id:
"value"
body:
body
Response
Loading...
GET

Get User Attribute

Get User Attribute
Parameters
attribute_def_idpath
string
Required
The unique identifier of the attribute definition.
user_idpath
string
Required
The unique identifier of the user.
application_idpath
string
Required
Application ID.
company_idpath
string
Required
Company ID.
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/definition/{attribute_def_id}/user/{user_id}
Loading...
Response
200
400
Successful update
Hide
_id
string
The unique identifier for the attribute definition.
name
string
The name of user attribute definition.
user_id
string
The unique identifier for the user.
application_id
string
The application ID.
user_attribute_definition_id
string
The unique id of the attribute definition.
created_at
string
| date-time
The time when attribute value is created for a user in ISO format.
updated_at
string
| date-time
The time when attribute value is updated for a user in ISO format.
type
string
The attribute type.
Enum
customer_overridden
boolean
Whether the attribute is customer-editable.
attribute
object
updated_by
string
Examples
Parameters
attribute_def_id:
"value"
user_id:
"value"
application_id:
"value"
company_id:
"value"
Response
Loading...
DEL

Delete User Attribute

Delete User Attribute
Parameters
attribute_def_idpath
string
Required
The unique identifier of the attribute definition.
user_idpath
string
Required
The unique identifier of the user.
application_idpath
string
Required
Application ID.
company_idpath
string
Required
Company ID.
DEL
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/definition/{attribute_def_id}/user/{user_id}
Loading...
Response
200
400
Successful update
Hide
success
string
Examples
Parameters
attribute_def_id:
"value"
user_id:
"value"
application_id:
"value"
company_id:
"value"
Response
Loading...
GET

Get All Customer Attributes

Retrieve all user attributes for a specific user
Parameters
user_idpath
string
Required
The unique identifier of the user to update.
application_idpath
string
Required
Application ID.
company_idpath
string
Required
Company ID.
page_sizequery
integer
The number of items to retrieve in each page. Default value is 10.
Default Value : 10
page_noquery
integer
The page number to navigate through the given set of results. Default value is 1.
Default Value : 1
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/user/{user_id}
Loading...
Response
200
400
Successful update
Hide
items
array of object (UserAttribute)
Show
page
object (PaginationSchema)
Show
Examples
Parameters
user_id:
"value"
application_id:
"value"
company_id:
"value"
page_size:
1
page_no:
1
Response
Loading...
POST

Create Or Update User Attribute

This API is used to create or update multiple user attribute values for the specified user ID.
Parameters
user_idpath
string
Required
The unique identifier of the user.
application_idpath
string
Required
The unique identifier of the application.
company_idpath
integer
Required
The unique identifier of the company.
Request body
attributes
array of object (BulkUserAttributeRequestBody)
Required
This is an array of objects containing id of attribute definitions and the respective values to created or updated
Show
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/user/{user_id}
Loading...
Response
200
400
Successful update
Hide
success
boolean
This describes the status of the API response
attributes
array of object (UserAttribute)
Show
Response
Loading...
DEL

Delete User Attribute Values in Bulk

This request deletes attribute values for a single user based on the provided user attribute definition. Each user attribute definition represents a distinct attribute, and for each definition, a user can have one corresponding value.
Parameters
user_idpath
string
Required
The unique identifier of the user to update.
application_idpath
string
Required
The unique identifier of the application.
company_idpath
integer
Required
The unique identifier of the company.
Request body
definition_ids
array of string
List of user attribute definition IDs for which the corresponding values should be deleted.
DEL
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/user/{user_id}
Loading...
Response
200
400
Successful update
Hide
success
string
Response
Loading...
GET

Get User Attribute

Retrieve User Attribute details by ID.
Parameters
attribute_idpath
string
Required
The unique identifier of the attribute to get.
application_idpath
string
Required
Application ID.
company_idpath
string
Required
Company ID.
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/attribute/{attribute_id}
Loading...
Response
200
400
Successful update
Hide
_id
string
The unique identifier for the attribute definition.
name
string
The name of user attribute definition.
user_id
string
The unique identifier for the user.
application_id
string
The application ID.
user_attribute_definition_id
string
The unique id of the attribute definition.
created_at
string
| date-time
The time when attribute value is created for a user in ISO format.
updated_at
string
| date-time
The time when attribute value is updated for a user in ISO format.
type
string
The attribute type.
Enum
customer_overridden
boolean
Whether the attribute is customer-editable.
attribute
object
updated_by
string
Examples
Parameters
attribute_id:
"value"
application_id:
"value"
company_id:
"value"
Response
Loading...
POST

Filter Users by Attribute Conditions

Returns a filtered list of users based on user attribute conditions and along with details of definition Ids.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
Request body
query
object (UserAttributeFilterQuery)
Show
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_attribute/users
Loading...
Response
200
Success. Returns a list of filtered users and pagination data.
Hide
items
array of object (UserAttributeFilteredList)
List of user objects that match the filter criteria.
Show
page
object (PaginationSchema)
Show
Examples
Parameters
company_id:
"559"
application_id:
"000000000000000000000001"
body:
body
Response
Loading...

Customer Group

Customer groups allow the creation of targeted audience segments based on specific attributes or manual inclusion via phone or email. These groups enable the restriction of coupon and promotion usage, as well as the targeting of discounts, to users within the defined groups.

Operations
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_group
# Create User Group
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_group
# Get User Groups
PUT
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_group/{group_id}
# Update User Group
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_group/{group_id}
# Get User Group
PATCH
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_group/{group_id}
# Modify User Group
DEL
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_group/{group_id}
# Delete User Group
POST

Create User Group

Form and add a new user group.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
Request body
conditions
array of object (ConditionsSchema)
Show
type
string
name
string
Required
description
string
Required
file_url
string
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_group
Loading...
Response
201
Success. returns created User Group. `UserGroupResponseSchema` for more details.
Hide
conditions
array of object (Conditions)
Show
error
object (UserResponseErrorSchema)
Show
name
string
description
string
file_url
string
_id
string
status
string
is_active
boolean
type
string
uid
integer
application_id
string
created_at
string
| date-time
modified_at
string
| date-time
__v
integer
Examples
Parameters
company_id:
"559"
application_id:
"000000000000000000000001"
body:
body
Response
Loading...
GET

Get User Groups

Retrieve a list of user groups.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
page_noquery
string
page number for pagination result
page_sizequery
string
page size for pagination result
namequery
string
to search for User Groups which contains given string in their name
typequery
string
to search for User Groups with given type
Enum
statusquery
string
to get User Groups with given status
group_uidquery
integer
to get User Groups with given uid
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_group
Loading...
Response
200
Success. User Group details. `UserGroupListResponseSchema` for more details.
Hide
items
array of object (UserGroupResponseSchema)
Show
page
object (PaginationSchema)
Show
Examples
Parameters
company_id:
"559"
application_id:
"000000000000000000000001"
page_no:
"1"
page_size:
"10"
type:
"test"
status:
"test"
group_uid:
30
Response
Loading...
PUT

Update User Group

Modify and update user group details.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
group_idpath
string
Required
Numeric ID allotted to a User Group
Request body
conditions
array of object (ConditionsSchema)
Show
type
string
name
string
description
string
file_url
string
PUT
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_group/{group_id}
Loading...
Response
200
404
Success. returns updated User Group. `UserGroupResponseSchema` for more details.
Hide
conditions
array of object (Conditions)
Show
error
object (UserResponseErrorSchema)
Show
name
string
description
string
file_url
string
_id
string
status
string
is_active
boolean
type
string
uid
integer
application_id
string
created_at
string
| date-time
modified_at
string
| date-time
__v
integer
Response
Loading...
GET

Get User Group

Retrieve a user group by its unique identifier.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
group_idpath
string
Required
Numeric ID allotted to a User Group
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_group/{group_id}
Loading...
Response
200
404
Success. User Group details. `UserGroupResponseSchema` for more details.
Hide
conditions
array of object (Conditions)
Show
error
object (UserResponseErrorSchema)
Show
name
string
description
string
file_url
string
_id
string
status
string
is_active
boolean
type
string
uid
integer
application_id
string
created_at
string
| date-time
modified_at
string
| date-time
__v
integer
Response
Loading...
PATCH

Modify User Group

Update user group partially on the platform.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
group_idpath
string
Required
Numeric ID allotted to a User Group
Request body
type
string
Source of update to be used to update individual users. Default value is considered file_url if not passed.
Enum
name
string
description
string
file_url
string
Required property when passed type file_url. Internet reachable csv file url which will be used to fetch download data. It must have one of columns from `phone_number``, `email``, `user_id`` and must have `action` column. `action` column can have `add` or `remove` value.
user_data
array of object (UserGroupUpdateData)
Required property when passed type json. Array of user data. Must have `action` field and one of `phone_number`, `email` or `user_id` field in object
Show
PATCH
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_group/{group_id}
Loading...
Response
200
404
Success. returns updated User Group. `UserGroupResponseSchema` for more details.
Hide
conditions
array of object (Conditions)
Show
error
object (UserResponseErrorSchema)
Show
name
string
description
string
file_url
string
_id
string
status
string
is_active
boolean
type
string
uid
integer
application_id
string
created_at
string
| date-time
modified_at
string
| date-time
__v
integer
Response
Loading...
DEL

Delete User Group

Permanently delete a user group by its unique identifier.
Parameters
company_idpath
integer
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
group_idpath
string
Required
Unique ID allotted to a User Group
DEL
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/user_group/{group_id}
Loading...
Response
200
404
User Group deleted successfully.
Hide
id
string
ID of the user group that was deleted
success
boolean
Success indicating the user group was deleted successfully.
Response
Loading...

Customer Session

Handles unique sessions representing a logged-in customer, including creating new sessions with configurable expiration times and can activate session rolling which extends session duration until expiration from, platform, terminating specific sessions, retrieving information about active sessions, and clearing active sessions as required which will logout the customer.

Operations
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/session
# Create User Session
DEL
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/session
# Delete User Session
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/sessions
# Get User Active Sessions
DEL
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/sessions
# Delete User Active Sessions
POST

Create User Session

Create session for user interactions
Parameters
company_idpath
string
Required
Company ID
application_idpath
string
Required
Application ID
Request body
domain
string
user_id
string
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/session
Loading...
Response
200
400
Create user session
Hide
domain
string
max_age
number
secure
boolean
http_only
boolean
cookie
object
Response
Loading...
DEL

Delete User Session

Terminate an active user session.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
idquery
string
Required
ID of a customer.
session_idquery
string
Required
Session ID of a customer.
reasonquery
string
Required
Reason for deleting session.
DEL
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/session
Loading...
Response
200
400
Success. Refer `SessionDeleteResponseSchema` for more details.
Hide
user_id
string
session_id
string
Response
Loading...
GET

Get User Active Sessions

Retrieve a list of currently active user sessions.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
idquery
string
Required
ID of a customer.
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/sessions
Loading...
Response
200
400
Success. Refer `SessionListResponseSchema` for more details.
Hide
items
array of object (SessionListResponseInfo)
Show
Response
Loading...
DEL

Delete User Active Sessions

Terminate all active user sessions.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
idquery
string
Required
ID of a customer.
reasonquery
string
Required
Reason to delete sessions.
DEL
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/customers/sessions
Loading...
Response
200
400
Success. Refer `SessionsDeleteResponseSchema` for more details.
Hide
user_id
string
session_ids
array of string
Response
Loading...

Website Authentication

Manage authentication configurations for platform-wide sales channels, offering flexibility to mandate either email, mobile, or both for registration/login. Configure whether a password is necessary, along with specifying password requirements and history restrictions. Implement account lockout after a defined number of failed login attempts for enhanced security.

Operations
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/platform/config
# Get Platform Config
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/platform/config
# Update Platform Config
GET

Get Platform Config

Retrieve platform sales channel authentication configuration.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
GET
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/platform/config
Loading...
Response
200
Success. Returns a JSON object containing the all the platform configurations. Refer `PlatformSchema` for more details.
Hide
display
string
look_and_feel
object (LookAndFeel)
Show
updated_at
string
| date-time
active
boolean
forgot_password
boolean
login
object (Login)
Show
skip_captcha
boolean
name
string
meta
object (MetaSchema)
Show
_id
string
social
object (Social)
Show
required_fields
object (RequiredFields)
Show
register_required_fields
object (RegisterRequiredFields)
Show
skip_login
boolean
flash_card
object (FlashCard)
Show
subtext
string
social_tokens
object (SocialTokens)
Show
created_at
string
| date-time
register
boolean
mobile_image
string
desktop_image
string
delete_account_day
integer
delete_account_reasons
array of object (DeleteAccountReasons)
Show
delete_account_consent
object (DeleteAccountConsent)
Show
session_config
object (SessionExpiry)
Show
__v
integer
Examples
Parameters
company_id:
"559"
application_id:
"000000000000000000000001"
Response
Loading...
POST

Update Platform Config

Modify and update platform sales channel authentication configuration.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
Request body
display
string
look_and_feel
object (LookAndFeel)
Show
updated_at
string
| date-time
active
boolean
forgot_password
boolean
login
object (Login)
Show
skip_captcha
boolean
name
string
meta
object (MetaSchema)
Show
_id
string
social
object (Social)
Show
required_fields
object (RequiredFields)
Show
register_required_fields
object (RegisterRequiredFields)
Show
skip_login
boolean
flash_card
object (FlashCard)
Show
subtext
string
social_tokens
object (SocialTokens)
Show
created_at
string
| date-time
register
boolean
mobile_image
string
desktop_image
string
delete_account_day
integer
delete_account_reasons
array of object (DeleteAccountReasons)
Show
delete_account_consent
object (DeleteAccountConsent)
Show
session_config
object (SessionExpiry)
Show
__v
integer
POST
/service/platform/user/v1.0/company/{company_id}/application/{application_id}/platform/config
Loading...
Response
200
Success. Returns a JSON object with the updated platform configurations. Refer `PlatformSchema` for more details.
Hide
display
string
look_and_feel
object (LookAndFeel)
Show
updated_at
string
| date-time
active
boolean
forgot_password
boolean
login
object (Login)
Show
skip_captcha
boolean
name
string
meta
object (MetaSchema)
Show
_id
string
social
object (Social)
Show
required_fields
object (RequiredFields)
Show
register_required_fields
object (RegisterRequiredFields)
Show
skip_login
boolean
flash_card
object (FlashCard)
Show
subtext
string
social_tokens
object (SocialTokens)
Show
created_at
string
| date-time
register
boolean
mobile_image
string
desktop_image
string
delete_account_day
integer
delete_account_reasons
array of object (DeleteAccountReasons)
Show
delete_account_consent
object (DeleteAccountConsent)
Show
session_config
object (SessionExpiry)
Show
__v
integer
Examples
Parameters
company_id:
"559"
application_id:
"000000000000000000000001"
body:
body
Response
Loading...